Show ticket details¶
Use /tickets/{ticketID} to retrieve all details of a specific ticket, e.g., Missed pickup,Extra pickup etc of a customer.To retrieve summary of all the tickets on your account see, tickets api
URI¶
GET /api/v1/customers/{customerId}/tickets/{ticketId}
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
| ticketId | Y | Number | path | Unique ID assigned to a ticket |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique Identifier for each request |
| tickets | Object | The ticket details |
| id | Number | Ticket Identifier |
| status | String | Ticket status (CLOSED, OPEN, VOIDED and PENDING) |
| load_type | String | Ticket type like DEL (Delivery),XPU (Extra Pickup) |
| load_description | String | Description associated with the ticket type |
| created_date_time | DateTime | Ticket creation date time |
| created_by | String | Ticket created by |
| closed_date_time | DateTime | Ticket close date time |
| closed_by | String | Ticket closed by |
| dispatch_date_time | DateTime | Ticket serviced date time |
| generate_ticket | String | Flag to indicate if ticket is auto-generated |
| complaint | String | Flag to indicate if ticket is created based in customer complaint |
| comments | String | User comments |
| completion_code | String | Ticket completion code |
| completed_description | String | Description associated with completion code |
| requested_by | String | Customer information |
| audit_info | Object | Contains the auditing information associated with ticket |
| logged_date_time | DateTime | Ticket last modified date time |
| services_info | Object | Services related information |
| code | String | Service code |
| description | String | Description associated with the service code |
| quantity | Number | Number of containers |
| cost | Float | Cost associated with a service |
| special_description | String | Additional description |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/tickets/104237
Sample Response¶
{ "tickets": [ { "id": "407519", "status": "CLOSED", "load_type": "SNP", "dispatch_date_time": "12/09/16 05:28:44", "load_description": "OP SNAPSHOT (NON-CHARGEABLE)", "created_by": "SNAPSHOT", "created_date_time": "12/11/16 05:28:44", "generate_ticket": "N", "complaint": "N", "closed_date_time": "12/11/16 05:28:44", "closed_by": "SNAPSHOT", "completion_code": "COM", "completed_description": "COMPLETED / CLOSED", "requested_by": "SNAPSHOT", "audit_info": { "logged_date_time": "12/11/16 05:28:44" }, "services_info": [ { "code": "OFN", "description": "SS Inc# 9084963", "quantity": "1.00", "cost": "0.00" } ] } ]}